@echo off
rem Sets up the environment and install required prerequisites for operating the 
rem Basler blaze ToF camera.

echo Going to install the Visual Studio runtime redistributable package...
vc_redist.x64.exe /passive /qb /norestart

echo Going to install the Visual Studio 32-bit runtime redistributable package...
vc_redist.x86.exe /passive /qb /norestart

setlocal enabledelayedexpansion
set thisDir=%~dp0
set BASLER_BLAZE_SDKROOT=%thisdir:~0,-1%

setx BASLER_BLAZE_SDKROOT "%BASLER_BLAZE_SDKROOT%" > NUL

tools\GenTLPathUpdater

if %ERRORLEVEL% EQU 0 (
    echo Updated the environment.
)    

endlocal

echo Going to install the Basler GigE Vision driver...
msiexec -i pylon_GigE_Filter_Driver.msi /qb /passive

echo Installation done.
pause
